transfig (1:3.2.5.e-5) kui; urgency=low

  * 32_dev_Imake_typo: use gengbx.c instead of gengbx.o in SRCS, otherwise
    gccmakedep fails (Closes: #759236).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 26 Aug 2014 10:05:12 +0200

transfig (1:3.2.5.e-3) unstable; urgency=low

  * New really set Multi-Arch: foreign (missed commit) (Closes: #732529).
  * Build-Depend on texlive-pictures (>= 2013.20140314) | pgf to support
    pgf transition to texlive (Closes: #746218).
  * Enable hardening=+all.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 11 May 2014 18:53:54 +0200

transfig (1:3.2.5.e-2) unstable; urgency=low

  * Update debian/watch.
  * Build-Depend on pgf for manual creation (Closes: #746075).
  * Upgrade to Standards-Version 3.9.5 (no changes).
  * override lintian spelling error ment meant.
  * Set Multi-Arch: foreign, since this doesn't provide libs (Closes: #732529).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 27 Apr 2014 18:38:44 +0200

transfig (1:3.2.5.e-1) unstable; urgency=low

  * New upstream version 3.2.5e.
  * Update all patches to new version.
  * 23_MAXWIDTH, 24_PIC_precision, 25_PIC_leadspace, 26_gs_fail_doubleclose
    removed, since they are now incorported upstream.
  * debian/rules: Change build options to harden binaries.
  * 30_fprintf_format: Add a format string to fprintf()/sprintf() call
    instead of directly printing out Err_Mem.  This is needed by harding
    options.
  * Upgrade to Standards-Version 3.9.4 (no changes).
  * 31_index_not_static: index() is not static, otherwise transfig is liked
    with -L/usr/lib. Thanks to YunQiang Su (Closes: #722857)
  * Update homepage link.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 15 Oct 2013 14:51:30 +0200

transfig (1:3.2.5.d-3) unstable; urgency=low

  * 28_fix_fig2dev_chmod: Add missing sys/stat.h prototype, which leads to
    an implicit declaration of fchmod(), which uses signed int while
    kFreeBSD expects unsigned int, which results in a wrong bitmap, which
    leads to a build failure.  Thanks to Steven Chamberlain for finding
    out what goes wrong here and providing a patch (Closes: #654767).
  * Build-Depends on libpng-dev instead of libpng12-0-dev | libpng-dev.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 11 Apr 2012 20:40:32 +0200

transfig (1:3.2.5.d-2) unstable; urgency=low

  * Update debian/watch.
  * Migrate from dpatch to 3.0 (quilt) format.
  * Reformat all patches.
  * Change build depenency from dpatch to debhelper (>= 7.0.50~).
  * Change debian/compat to "7".
  * Remove README.source.
  * Complete rewrite of debian/rules.
  * 26_gs_fail_doubleclose: avoid double closing of filedescriptor, if call
    of ghostscript failed.  Thanks to Kamil Dudka from Fedora.
    (Closes: #426959).
  * Upgrade to Standards-Version 3.9.2 (no changes).
  * Undo changes from Ubuntu bug 561458 from 14_fig2mpdf, because that
    workaround doesn't fit to fig2dev documentation.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 29 Dec 2011 14:29:06 +0100

transfig (1:3.2.5.d-1) unstable; urgency=low

  * New upstream version 3.2.5d.
  * Update debian/copyright.
  * Adapt all patches to new version.
  * Remove 07_avoid_warnings, incorporated upstream.
  * Remove 19_cups_workaround, better solution upstream.
  * 23_MAXWIDTH: Increasese MAXWIDTH of embedded images from 8K to 16K
    (Closes: #610466)
  * 24_PIC_precision: Change the precision of PIC floating point output
    from %.2f to %.3f.  Thanks to Roger Leigh <rleigh@debian.org>.
    (Closes: #611948).
  * 25_PIC_leadspace: Avoid wrong leading spaces in PIC text.  Thanks to
    Roger Leigh <rleigh@debian.org> (Closes: #611977).
  * 14_fig2mpdf: use list of layers instead of range of layers.  See Ubuntu
    bug https://bugs.launchpad.net/ubuntu/+source/transfig/+bug/561458
    Thanks to Manuel López-Ibáñez for providing a patch.
  * Add debian/source/format 1.0
  * Upgrade to Standards-Version 3.9.1 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Thu, 03 Mar 2011 00:58:52 +0100

transfig (1:3.2.5.c-1) unstable; urgency=low

  * New upstream version 3.2.5c.
  * Adapt all patches to the new version.
  * 04_displaywho: Rewritten, because the new "-a" option for anonymous is
    not used by xfig at the moment.  This patch changes the default to
    have anonymous mode enabled all the time.
  * Fix typo in package description (Closes: #557398).
  * Upgrade to Standards-Version 3.8.4 (no changes).
  * Added debian/README.source (from dpatch package) to explain how dpatch
    works.
  * 22_typos: Fix some spelling errors in the binaries.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 19 May 2010 22:26:17 +0200

transfig (1:3.2.5.a-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Fix FTBFS:
    - Build-depend on texlive-font-utils instead of texlive-extra-utils for
      epstopdf.
    - debian/patches/14_fig2mpdf.dpatch: don't use -f and --outfile args
      together, current epstopdf doesn't like this.
    Thanks to Michael Bienia <michael@bienia.de> for the analysis.
    Closes: #562364, LP: #534298.

 -- Steve Langasek <vorlon@debian.org>  Thu, 11 Mar 2010 00:52:05 +0000

transfig (1:3.2.5.a-2) unstable; urgency=low

  * 21_rename_optopt: rename optopt parameter name in getopt.c to make
    mips/mipsel happy (otherwise their linker fails with the message
    /usr/bin/ld: non-dynamic relocations refer to dynamic symbol
    optopt@@GLIBC_2.0
  * 13_remove_extralibs: Remove -lz again (was lost in previous patch).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 10 May 2009 11:12:23 +0200

transfig (1:3.2.5.a-1) unstable; urgency=low

  * New upstream version 3.2.5a (as of 2009-03-16).
  * Remove patches, that are incorporated upstream: 11_SetFigFont-params,
    12_PNG_imagemap, 17_remove_debug.
  * Replace 08.1_PS-DSC-fix and 08.2_genps_oldpatterns with
    08.2_genps_oldpatterns, which reinvents the code from
    genps_oldpatterns.[hc], that was removed in 3.2.5.a upstream.
    This new patch brings the old files back and merged the DSC fixes.
  * After all this the old 08.2_genps_oldpatterns no longer overwrites the
    changes of 04_displaywho (Closes: #504985).
  * Adapt all patches to new upstream version.
  * 19_cups_workaround: Change PS magic string from PS-Adobe-2.0 to PS to
    work around incompatibilities with CUPS (Closes: #449267).
  * Remove trailing spaces from debian/patches/00list to make lintian happy.
  * Stop ignoring "make clean" errors in debian/rules.
  * Add lintian.overrides to avoid warning about "tk" typo in description
    (this isn't a typo here but the value of a parameter).
  * doc-base: Change section from Apps/Graphics to Graphics.
  * Change all dependencies from gs* to ghostscript.
  * Upgrade to Standards-Version 3.8.1 (no changes).
  * Add some more cleanup from #497004 to 07_avoid_warnings.  The main
    patch from #497004 is incorporate upstream now (Closes: #497004).
  * 20_transfig_pdftex by Jindrich Makovicka <makovick@gmail.com>
    Support pdftex output in transfig (Closes: #497167).
  * Fix spelling mistakes and other English errors in 14_fig2mpdf and
    15_fig2mpdf-doc.  Thanks to Dylan Thurston (Closes: #504979).
  * Update debian/copyright.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 25 Mar 2009 20:23:18 +0100

transfig (1:3.2.5-rel-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add '18_fig2ps2tex_bashisms.dpatch' to fix bashisms in fig2ps2tex script
    (Closes: #480615)
  * Fix debian/watch file (Closes: #449644)
  * debian/control:
    - Change "xutils" Build-Depends to required package "xutils-dev"
    - Bump Standards-Version 3.8.0
    - Move upstream URL to Homepage field

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sun, 08 Jun 2008 15:12:08 +0100

transfig (1:3.2.5-rel-3) unstable; urgency=low

  * Build-Depends: gs-gpl (>= 8.56.dfsg.1-1.1), cause older versions of
    gs-gpl are broken on ia64 (why the hell are all gs verions broken on
    64bit?)
  * 17_remove_debug.dpatch: Remove debug messages on stderr, which
    irritate xfig (Closes: #427956).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 16 Jun 2007 18:41:53 +0200

transfig (1:3.2.5-rel-2) unstable; urgency=medium

  * Build-Depends: gs-gpl, Build-Conflicts: gs-esp (<< 8.50), because
    gs-esp 8.15.3.dfsg.1-1 segfaults based on this gs-esp in ps2pdf on
    some architectures (Closes: #424977).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 18 May 2007 22:19:56 +0200

transfig (1:3.2.5-rel-1) unstable; urgency=low

  * New upstream version 3.2.5.
    * this includes 10_arrow_tip.
  * 14_fig2mpdf.dpatch by Michael Pfeiffer <p3fff@web.de>: creating
    multilayered or singlelayer PDF or EPS figures for including into
    LaTeX documents (see http://p3f.gmxhome.de/fig2mpdf/fig2mpdf.html)
    This is version 1.2 of the extension.
  * 15_fig2mpdf-doc.dpatch by Michael Pfeiffer <p3fff@web.de>: Contains
    the documentation of the previous patch.
  * 08.1_PS-DSC-fix by Ronald Lembcke <es186@fen-net.de>:
    makes fig2dev produce more correctly structured PostScript.
    - Files get printed via Cups on PostScript printers.
    - When viewing a .ps-file in gv you can go to the last page and back
      and to the last page again without getting PostScript errors
    (Closes: #205574, #32843, #407302)
  * 16_backup_makefile: Backup Makefiles, that are overwritten by build
    process and restore them at the end.  Remove some unnecessary files
    (which shouldn't be in the orig.tar.gz) at the clean target
    (Closes: #424210).
  * Depend on texlive-latex-base, texlive-latex-recommended,
    texlive-fonts-recommended, texlive-extra-utils, texlive-lang-german
    instead of tetex-base, tetex-extra.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 17 May 2007 17:54:11 +0200

transfig (1:3.2.5-alpha7-5) unstable; urgency=low

  * Remove unnecessary dependencies on libz and libX11.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 30 Sep 2006 11:26:42 +0200

transfig (1:3.2.5-alpha7-4) unstable; urgency=low

  * Search for rgb.txt in /etc/X11/rgb.txt and depend on x11-common, which
    contains this file (Closes: #385655).

 -- Roland Rosenfeld <roland@debian.org>  Sat,  9 Sep 2006 12:41:20 +0200

transfig (1:3.2.5-alpha7-3) unstable; urgency=low

  * 10_arrow_tip.dpatch: fixes the bug where arrow heads fell short of the
    intended endpoint.
  * 11_SetFigFont-params.dpatch: Rename TeX macro \SetFigFont to
    \SetFigFontNFSS if NFSS ist defined. This should work around problems
    of users using PSTEX files generated by old and by new fig2dev in the
    same document (Closes: #288774)
  * 12_PNG_imagemap.dpatch by Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
    Use PNG instead of GIF in HTML image maps (Closes: #258375).

 -- Roland Rosenfeld <roland@debian.org>  Sat,  5 Aug 2006 14:48:49 +0200

transfig (1:3.2.5-alpha7-2) unstable; urgency=low

  * Upgrade to Standards-Version 3.7.2 (no changes).
  * Upgrade to debhelper >= 5.
  * Migrate to dpatch build process.
  * Build-Depends on xpm-dev >= 1:3.5.4.2 now and change include path
    accordingly (/usr/include/X11 instead of /usr/X11R6/include).
  * 08_genps_oldpatterns.dpatch: use genps.oldpatterns.[hc] instead of the
    new one again, because the new one creates "invisible" patterns in
    PS/EPS output (Closes: #348034).
  * 09_maxfontsize.dpatch: For fonts >=42pt use the given font size in TeX
    instead of restricting this to 42pt. This allows to create posters
    using \usepackage{type1cm} (Closes: #343139).
  * Add debian/watch.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 23 Jul 2006 15:49:52 +0200

transfig (1:3.2.5-alpha7-1) unstable; urgency=low

  * New upstream version 3.2.5-alpha7
    - fixed radius of circles in SVG output (Closes: #272466).
    - fixes conversion of latin1 chars in special text (Closes: #275305).
    - increasese MAXWIDTH of embedded images from 4K to 8K (Closes: #304958).
  * Upgrade to Standards-Version 3.6.2 (no changes).
  * Escape '-' in man page transfig.1.
  * Remove comment "For: <user>@<host> (<Realname>)" from PS files
    (generated in genps.c and genpictex.c), because we won't ship personal
    information in output files (Closes: #316382).
  * Add ru_RU.KOI8-R.ps for russion KOI8-R output (Closes: #310738).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 18 Dec 2005 14:55:41 +0100

transfig (1:3.2.5-alpha5-3) unstable; urgency=low

  * Remove static redefinition of paperspec in genibmgl.c (after non
    static definition in fig2dev.h), which causes trouble on gcc 4.0
    (Closes: #288599).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 17 Jul 2005 22:42:37 +0200

transfig (1:3.2.5-alpha5-2) unstable; urgency=low

  * Recommend netpbm (>= 2:10.0-4) instead of suggesting netpbm-nonfree,
    because the GIF support is no longer nonfree but incorporated in the
    main netpbm package again (Closes: #271684).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 14 Sep 2004 19:19:34 +0200

transfig (1:3.2.5-alpha5-1) unstable; urgency=low

  * New upstream version 3.2.5-alpha5.
    - Add \pagestyle{empty} to epic/eepic preamble to avoid page number
      (Closes: #240327).
  * Build-Depends on libxpm-dev instead of xlibs-dev.
  * Escape '-' in man pages transfig.1 and fig2dev.1.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 11 May 2004 21:43:24 +0200

transfig (1:3.2.5-alpha4-1) unstable; urgency=low

  * New upstream version 3.2.5-alpha4.
  * Add some quotes to gensvg.c to make gcc 3.3 happy.
  * Mention fig2dev in the package description, so users may find it with
    apt-cache search when they get the error message "fig2dev: command not
    found" (Closes: #212398).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 21 Feb 2004 19:19:38 +0100

transfig (1:3.2.4-rel-6) unstable; urgency=low

  * Fix standard colors in LaTeX output (Closes: #220728).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 16 Nov 2003 14:47:20 +0100

transfig (1:3.2.4-rel-5) unstable; urgency=low

  * Rewrote package description (Closes: #201596).
  * Add missing \smash{} command to eepic output.  Thanks to Martin
    Godisch <martin@godisch.de> (Closes: #201645).
  * Fix format string mismatch in read_eps_pdf().  Thanks to Kalle Olavi
    Niemitalo <kon@iki.fi> (Closes: #200631).
  * Upgrade to Standards-Version 3.6.1 (no changes).
  * Convert the manual from PS to PDF (requires a build dependency on
    gs-common).
  * Add a doc-base file to reference the PDF version of the manual.
  * Install LATEX.AND.XFIG.zh_CN and LATEX.AND.XFIG.zh_TW.
  * Remove \input{transfig} from manual.tex, because this isn't needed and
    it redefines \SetFigFont in a way that corrupts the figure in this
    manual.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 30 Aug 2003 14:06:48 +0200

transfig (1:3.2.4-rel-4) unstable; urgency=low

  * Removed ununsed varargs.h from fig2dev.h (Closes: #196138).
  * Add some quotes to gensvg.c to make gcc 3.3 happy.
  * Disable strict-aliasing (which is usually activated with -O2).
  * Fix format-string type mismatches (Thanks to Kalle Olavi Niemitalo
    <kon@iki.fi>).
  * Add cleandir target to doc/manual/Makefile to fix cleanup process.
  * Upgrade to Standards-Version 3.5.10 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 24 Jun 2003 12:26:14 +0200

transfig (1:3.2.4-rel-3) unstable; urgency=low

  * Build depend on "libpng12-0-dev | libpng-dev" instead "libpng2".
  * Fix compiler warnings from fig2dev/dev/gentpic.c to compile without
    problems on hppa, too.

 -- Roland Rosenfeld <roland@debian.org>  Sun,  6 Apr 2003 15:41:37 +0200

transfig (1:3.2.4-rel-2) unstable; urgency=low

  * Apply patch.zerobounds by upstream maintainer, which fixes the problem
    where if there are only LaTeX special texts and no other objects in
    the figure, a bounding box of 0 width was produced (Closes: #184563).
  * Apply patch.pdf by upstream maintainer, which changes the pdf
    export to use eps options, in particular to ignore landscape and never
    rotate the figure (Closes: #185857).
  * Upgrade to Standards-Version 3.5.9 (no changes).
  * Upgrade to debhelper 4.0.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 24 Mar 2003 20:02:44 +0100

transfig (1:3.2.4-rel-1) unstable; urgency=low

  * New upstream release 3.2.4.
    - Corrected handling of relative paths in embedded files names
      (Closes: #171536).
    - Lists of languages in transfig.c and transfig.h synced again
      (Closes: #170629).
  * Upgrade to policy 3.5.8 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 21 Dec 2002 15:14:16 +0100

transfig (1:3.2.4-beta5-1) unstable; urgency=low

  * New upstream beta version 3.2.4-beta5.
    - fixes the problem that importing more than one or two images
      causes fig2dev to segfault (Closes: #147062).
  * Update debian/rules to newer debhelper (>=3.0.0) using dh_installman
    instead of dh_installmanpages.
  * Upgrade to Standards-Version: 3.5.7 (new DEB_BUILD_OPTIONS behavior).
  * Do no longer build-depend on libjpeg, because it is no longer used.

 -- Roland Rosenfeld <roland@debian.org>  Sat,  2 Nov 2002 09:38:31 +0100

transfig (1:3.2.3.d-rel-4) unstable; urgency=low

  * Apply upstream patch.importsegfault, which fixes the problem that
    importing more than one or two images causes fig2dev to segfault.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 17 May 2002 20:36:22 +0200

transfig (1:3.2.3.d-rel-3) unstable; urgency=medium

  * XFIG.AND.LATEX, README.Debian: Add a comment that the transfig pstex
    driver needs \usepackage{color} (Closes: #77516).
  * Add % sign after the \end{picture} to avoid bad extra spacing when the
    generated file is \input into a minipage or a framebox (Closes: #135893).
  * Applied upstream patch.rotatepics, which fixes skewing rotated images
    (Closes: #145260).

 -- Roland Rosenfeld <roland@debian.org>  Wed,  1 May 2002 01:00:24 +0200

transfig (1:3.2.3.d-rel-2) unstable; urgency=low

  * Applying patch cluster from upstream maintainer:
    - patch.depths: fixes a bug in the -D option (export or exclude
      certain depths). It wouldn't accept 0 as a depth specifier.
    - patch.jpeg: fixes the problem where fig2dev uses the
      "transparentimage" code or JPEG images, which is only supposed to be
      used for GIF (Closes: #106609).
    - patch.linejoin: fixes the problem where the line join is not set to
      "miter" and line cap is not set to "butt", in the document importing
      a Fig file.
    - patch.patterns: fixes the bug where the lines in the 45degree
      left/right patterns were closer together than they should have been.
    - patch.pdftex: adds the pdftex/pdftex_t export options.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 10 Oct 2001 17:21:18 +0200

transfig (1:3.2.3.d-rel-1) unstable; urgency=low

  * New upstream release 3.2.3d.

 -- Roland Rosenfeld <roland@debian.org>  Sun,  3 Jun 2001 10:39:43 +0200

transfig (1:3.2.3.d-beta2-2) unstable; urgency=low

  * Add Build-Depends: libpng2-dev (Closes: #94799).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 22 Apr 2001 21:52:14 +0200

transfig (1:3.2.3.d-beta2-1) unstable; urgency=low

  * New upstream beta(!) version 3.2.3d-beta2.
  * Upgrade to policy 3.5.2.
  * Remove dh_suidregister from debian/rules.
  * Depend on debhelper >=2.1.6 and remove nostrip handling, which is done
    by dh_strip now.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 18 Apr 2001 19:55:14 +0200

transfig (1:3.2.3.c-3) unstable; urgency=low

  * Add xutils to build-dependencies, because xmkmf is needed.
    (Closes: #80182).

 -- Roland Rosenfeld <roland@debian.org>  Thu, 21 Dec 2000 17:58:18 +0100

transfig (1:3.2.3.c-2) unstable; urgency=low

  * Correct missing floating point conversions in MetaFont driver (Thanks
    to Dylan Thurston <dpt@math.berkeley.edu> for sending me Brians patch)
    (Closes: #79357).
  * Build-Depends: xlib6g-dev, xpm4g-dev => xlibs-dev (for XFree86 4.0.1).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 16 Dec 2000 13:48:50 +0100

transfig (1:3.2.3.c-1) unstable; urgency=low

  * New upstream version.
  * Upgrade to new debhepler:
    - Change to DH_COMPAT=2.
  * Upgrade to Standards-Version 3.2.1:
    - Evaluate DEB_BUILD_OPTIONS for -g and strip.
    - Move binary and manpage from /usr/X11R6/* to /usr/*.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 10 Oct 2000 00:39:50 +0200

transfig (1:3.2.3.b-1) unstable; urgency=low

  * New upstream version 3.2.3b.
  * #include <signal.h> in genpdf.c, otherwise this doesn't compile.
  * Add \usepackage{color} to doc/manual/setup1.tex (needed for using
    trans.tex created with the latex driver of fig2dev).
  * Apply patch.latexppi (by Brian) to fix problems with latex driver.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 20 Jul 2000 12:31:13 +0200

transfig (1:3.2.3-rel-0-4) unstable; urgency=low

  * Handle transparent color "-3" correct (Closes: #66099).

 -- Roland Rosenfeld <roland@debian.org>  Sun,  2 Jul 2000 18:38:13 +0200

transfig (1:3.2.3-rel-0-3) frozen unstable; urgency=low

  * "fig2dev -Lps" does not support the -P option, so remove this from the
    man page (Closes: #60724).
  * Correct documentation of -p option in fig2dev.1 manpage (patch
    supplied by upstream author).
  * Fix problem with missing filename "(null)".  Thanks for supplying the
    patch to reiter@netspace.net.au (Closes: #61971).

 -- Roland Rosenfeld <roland@debian.org>  Fri,  7 Apr 2000 17:49:06 +0200

transfig (1:3.2.3-rel-0-2) frozen unstable; urgency=low

  * This is a pre-release of the new upstream 3.2.3a.  It's a bugfix only
    release, so it should go into frozen!
  * This fixes the -f segfault (Closes: #58986).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 28 Feb 2000 21:08:11 +0100

transfig (1:3.2.3-rel-0-1) unstable; urgency=low

  * New upstream version (munged the official 3.2.3 according to packaging
    manual section 5 to make it bigger than the betas).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 14 Jan 2000 10:39:17 +0100

transfig (1:3.2.3-beta-4-1) unstable; urgency=low

  * New upstream version.
  * This version solves the problems with the PS/LaTeX driver on landscape
    graphics, with PS as landscape and LaTeX as portrait (Closes: #54540).

 -- Roland Rosenfeld <roland@debian.org>  Wed, 12 Jan 2000 21:04:14 +0100

transfig (1:3.2.3-beta-3-1) unstable; urgency=low

  * New upstream version (Closes: #54024).

 -- Roland Rosenfeld <roland@debian.org>  Wed,  5 Jan 2000 23:26:55 +0100

transfig (1:3.2.3-beta-1-2) unstable; urgency=low

  * Add tetex-extra to build-depends, because documentation needs
    times.sty (Closes: #53195).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 21 Dec 1999 18:24:29 +0100

transfig (1:3.2.3-beta-1-1) unstable; urgency=low

  * New upstream version (incorporates most patches, only Korean is
    missing upstream and is now applied by Debian diff).
  * Removed unused #include <varargs.h>
  * Adapt manual to use LaTeX2e and use \usepackage{times}, which makes
    manual smaller and more readable as Postscript file.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 15 Dec 1999 21:35:09 +0100

transfig (1:3.2.1-14) unstable; urgency=low

  * Upgrade to Standards version 3.1.0: Add Build-Depends.
  * Fix problem with arrow heads in combination with ghostscript 5.50 and
    some postscript printers. Thanks to Brian V. Smith for the patch.
    (Closes: #34984).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 16 Nov 1999 10:05:52 +0100

transfig (1:3.2.1-13) unstable; urgency=low

  * Upgrade to Debian Standards version 3.0.1
  * Applied Korean support patch provided by Changwoo Ryu
    <cwryu@debian.org> (Closes: #45378).
  * Replaced LANG with LC_CTYPE in Koran patch, otherwise we will have
    strange effects with LC_NUMERIC creating "," as the decimal separator,
    which is wrong for postscript code.
  * Comment out debug output (added by Koran patch) of locale value in
    genps.c.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 30 Sep 1999 17:14:43 +0200

transfig (1:3.2.1-12) unstable; urgency=low

  * Use new japanese.ps from
    http://member.nifty.ne.jp/tsato/xfig/patch/japanese2-ps
  * Add -I/usr/include/db1 and #include <ndbm.h> again. This should work
    with all versions of libc (Closes: #41369).
  * Make doc/manual/trans.tex writable (it isn't in orig.tar.gz).
  * Remove #include <varargs.h> from genepic.c, which isn't used.
  * Get rid of redefinition warning of strchr and use string.h instead of
    strings.h with linux.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 15 Jul 1999 19:18:44 +0200

transfig (1:3.2.1-11) unstable; urgency=low

  * Merged in patch collection from upstream author Brian V. Smith
    <xfigmail@epb1.lbl.gov>, which results in an unofficial transfig
    3.2.1a with the following patches:
    - fixes the problem of uninitialized bounding box vars, which
      only seem to manifest problems with Sun's native Solaris cc.
    - Fixes problem where box appears in output
    - This fixes the difference between xfig and fig2dev splines
    - fig2dev should always write to stdout if no output file is given.
      This did not work for all output languages (Closes #24724).
    - Imakefile patch.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 19 May 1999 19:42:51 +0200

transfig (1:3.2.1-10) unstable; urgency=low

  * New Debian maintainer.
  * Added japanese.ps from xfig package which is needed by fig2dev.
  * Added a note to README.Debian, where to find grafbase.mf, which is
    needed for the metafont driver. (Closes #11050)
  * Updated copyright file.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 12 May 1999 22:18:21 +0000

transfig (1:3.2.1-9) frozen unstable; urgency=low

  * Complied against libc6.1 required some small changes.
  * Lintian warned against compiling using libjpegg-dev, so libjpeg62-dev is
    used instead
  * Lintian v1.1 now gives it a clean bill of health.
  * Fixes bug #32520, files go into /usr/X11R6 not /usr/lib/X11
  * Added note about requiring netpbm-nonfree for gif support, fixes 35686.
    Still need to modify transfig so it complains when an attempt is made to
    create a gif images if ppmtogif is not present.

 -- Edward Betts <edward@debian.org>  Wed,  5 May 1999 19:07:55 +0100

transfig (1:3.2.1-8) frozen unstable; urgency=low

  * Really fix Bug#32520 this time.

 -- Edward Betts <edward@hairnet.demon.co.uk>  Tue,  2 Feb 1999 22:22:23 +0000

transfig (1:3.2.1-7) frozen unstable; urgency=low

  * Fixes Bug#32520: transfig: puts files in /usr/lib/X11, should use
    /usr/X11R6/lib/X11.

 -- Edward Betts <edward@debian.org>  Fri, 29 Jan 1999 19:53:56 +0000

transfig (1:3.2.1-6) frozen unstable; urgency=low

  * Added a number of includes of stdlib.h for malloc() prototype based on
    a NMU by Paul Slootman <paul@debian.org>

 -- Edward Betts <edward@debian.org>  Tue, 19 Jan 1999 10:20:50 +0000

transfig (1:3.2.1-5) frozen unstable; urgency=low

  * Passes Lintian v0.9.5
  * Added Recommends: netpbm, gs   - Needed for ps and other formats
  * Added Suggests: netpbm-nonfree - Needed for exporting to gif

 -- Edward Betts <edward@debian.org>  Mon, 28 Dec 1998 23:02:43 +0000

transfig (1:3.2.1-4) frozen unstable; urgency=low

  * Passes Lintian v0.9.4
     - Removed csh script, replaced with sh script because
       W: transfig: csh-considered-harmful usr/X11R6/bin/fig2ps2tex
  * Removed suggests: c-shell because no more csh code
  * Removed dh_link from debian/rules, (dh_link is from an unstable version of
    debhelper not avaliable in slink). It is no longer needed because of the
    removal of the csh version of the fig2psp2tex script. Thanks to Paul
    Slootman for spotting this one, and James Troop reminding me that dh_link is
    only in the unstable version of debhelper that appears in spud.
  * Fixed the missing DESTDIR in the install rule of fig2dev/Imakefile. Thanks
    goes to Paul again for spotting this one.
  * When installing the documentary, the it was assumed that fig2dev was
    installed, this has been fixed. This completes the fixing of Bug#30753. And
    a final thanks goes to Paul for spotting this one.
  * Removed debian/rules.old - it was a bit silly keeping it.

 -- Edward Betts <edward@debian.org>  Sat, 19 Dec 1998 21:05:55 +0000

transfig (1:3.2.1-3) frozen unstable; urgency=low

  * New maintainer
     - Please include in slink so that the maintainer field is correct
  * Converted to debhelper
  * Updated standards version to 2.5.0.0
  * Passes Lintian v0.9.4
     - Apart from W: transfig: csh-considered-harmful usr/X11R6/bin/fig2ps2tex
     - Added suggests: c-shell to make it happy
  * Added suggests: xfig

 -- Edward Betts <edward@debian.org>  Thu,  3 Dec 1998 16:53:05 +0000

transfig (1:3.2.1-2) unstable; urgency=low

  * fig2dev now handles output to stdout (it segfaulted before). fixes: #24725

 -- Enrique Zanardi <ezanard@debian.org>  Tue, 21 Jul 1998 16:05:10 +0100

transfig (1:3.2.1-1) unstable; urgency=low

  * New upstream release

 -- Enrique Zanardi <ezanard@debian.org>  Wed, 15 Jul 1998 14:53:22 +0100

transfig (1:3.2.0-2.2) frozen unstable; urgency=low

  * non-maintainer upload because Enrique is busy with the boot-floppies
  * patch from upstream author to fix annoying bug #21474
  * corrected binary target in rules; fixes bug #21249

 -- Christian Meder <meder@isr.uni-stuttgart.de>  Thu, 14 May 1998 23:52:52 +0200

transfig (1:3.2.0-2.1) frozen unstable; urgency=low

  * non-maintainer upload for Alpha.
  * First (!) "binary" target in rules changed to binary-arch.

 -- Paul Slootman <paul@debian.org>  Thu, 16 Apr 1998 23:57:44 +0200

transfig (1:3.2.0-2) unstable; urgency=low

  * Use double constants for M_PI and M_PI_2, instead of long double
    constants as defined in /usr/include/math.h. (Fixes Bug#13891)

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Mon, 20 Oct 1997 17:31:04 +0100

transfig (1:3.2.0-1) unstable; urgency=low

  * New maintainer
  * Pristine sources
  * Minor tweaks for libc6

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Sat, 27 Sep 1997 20:05:48 +0100

transfig (3.2.0-beta2-2) unstable; urgency=low

  * added fig2dev/fig2dev to shilbdep commandline in debian/rules
    (fixing bug#6752)

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Tue, 21 Jan 1997 22:33:38 +0100

transfig (3.2.0-beta2-1) unstable; urgency=low

  * new upstream version

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun, 19 Jan 1997 14:47:43 +0100

transfig (3.1.2a-4) unstable; urgency=low

  * Uses new source format
  * Added a few doc's from the upstream package.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sat, 4 Jan 1997 22:22:34 +0100
